## generatorrunner 0.6.7

=== debian/changelog ===
generatorrunner (0.6.7-2) unstable; urgency=low

  * Upload to unstable.

 -- Didier Raboud <odyx@debian.org>  Thu, 10 Mar 2011 14:19:44 +0100

generatorrunner (0.6.7-1) experimental; urgency=low

  * New 0.6.7 upstream release (1.0.0).

  * Make sure the B-D on libapiextractor-dev allows backports (-2~).

 -- Didier Raboud <odyx@debian.org>  Fri, 04 Mar 2011 12:17:10 +0100

generatorrunner (0.6.6-1) experimental; urgency=low

  * New 0.6.6 upstream release (~rc1)
    - Bump libapiextractor-dev B-D to >= 0.10.0-2
    - Add two 0.6.6 symbols.
  * Adjust priorities according to FTP-master overrides.

 -- Didier Raboud <odyx@debian.org>  Fri, 18 Feb 2011 14:54:55 +0100

generatorrunner (0.6.5-1) experimental; urgency=low

  * New 0.6.5 upstream release (~beta5)
    - Bump libapiextractor-dev B-D to >= 0.9.4
    - Bump Qt B-D to >= 4:4.7.0
  * Rewrite completely the symbols handling:
    - Split them to track them across various distributions and gcc versions.
  * Use my @d.o address and remove the DMUA flag.

 -- Didier Raboud <odyx@debian.org>  Mon, 14 Feb 2011 15:43:01 +0100

=== debian/control ===
Source: generatorrunner
Section: devel
Priority: extra
Maintainer: Didier Raboud <odyx@debian.org>
Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 7.3.12),
               libapiextractor-dev (>= 0.10.0-2~), libqt4-dev (>= 4:4.7.0),
               cmake (>= 2.6.0), libxslt-dev
Build-Depends-Indep: python-sphinx
Standards-Version: 3.9.1.0
Vcs-Git: git://git.debian.org/collab-maint/generatorrunner.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/generatorrunner.git
Homepage: http://www.pyside.org/home-binding/binding-generator/

Package: libgenrunner0.6
Priority: optional
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: generatorrunner (=${binary:Version}) 
Description: generatorrunner dedicated library
 Generatorrunner is a plugin-based application to run apiextractor-based
 generators.
 .
 This package contains its dedicated library.

Package: libgenrunner-dev
Architecture: any
Section: libdevel
Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.10.0-2~), ${shlibs:Depends}, ${misc:Depends}
Description: generatorrunner dedicated library headers
 Generatorrunner is a plugin-based application to run apiextractor-based
 generators.
 .
 This package contains its dedicated library headers

Package: generatorrunner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: docgenerator
Description: plugin-based application to run apiextractor-based generators
 Runs generator plugins, such as docgenerator.
 .
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or 
 documentation, or anything you want) for the target language for which it was
 written.

Package: docgenerator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         generatorrunner (= ${binary:Version})
Description: generator plugin for python bindings documentation
 Generates documentation for C++ library bindings using sphinx.
 .
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or 
 documentation, or anything you want) for the target language for which it was
 written.

Package: generatorrunner-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, generatorrunner (>= ${binary:Version}), docgenerator (>= ${binary:Version}), libgenrunner0.6 (>= ${binary:Version})
Section: debug
Description: debugging symbols for generatorrunner, and its brothers
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or 
 documentation, or anything you want) for the target language for which it was
 written.
 .
 This package contains the debugging symbols for generatorrunner, docgenerator
 and libgenrunner.

Package: generatorrunner-doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
Section: doc
Description: documentation for generatorrunner, and its brothers
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or 
 documentation, or anything you want) for the target language for which it was
 written.
 .
 This package contains the documentation for generatorrunner, docgenerator
 and libgenrunner.

## generatorrunner 0.6.7-1maemo2

=== CMakeLists.txt ===
project(generatorrunner)

cmake_minimum_required(VERSION 2.6)

find_package(Qt4 4.5.0 REQUIRED)
find_package(ApiExtractor 0.10.0 REQUIRED)

option(BUILD_TESTS "Build tests." TRUE)
option(INSTALL_TESTS "Install tests" FALSE)
option(TEST_INSTALL_DIR "Test install directory" FALSE)
option(ENABLE_VERSION_SUFFIX "Used to use current version in suffix to generated files. This is used to allow multiples versions installed simultaneous." FALSE)

if(MSVC)
    set(CMAKE_CXX_FLAGS "/Zc:wchar_t- /EHsc /DWIN32 /D_WINDOWS /D_SCL_SECURE_NO_WARNINGS")
else()
    option(ENABLE_GCC_OPTIMIZATION "Enable specific GCC flags to optimize library size and performance. Only available on Release Mode" 0)
    if (CMAKE_HOST_UNIX)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -fvisibility=hidden")
    endif()
    set(CMAKE_CXX_FLAGS_DEBUG "-g")
    if(ENABLE_GCC_OPTIMIZATION)
        set(CMAKE_BUILD_TYPE Release)
        set(CMAKE_CXX_FLAGS_RELEASE "-DNDEBUG -Os -Wno-strict-aliasing -Wl,-O1")
        if(NOT CMAKE_HOST_APPLE)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--hash-style=gnu")
        endif()
    endif()
endif()

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()


set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE PATH "The subdirectory relative to the install prefix where libraries will be installed (default is /lib${LIB_SUFFIX})" FORCE)


# lib generator version
set(generator_MAJOR_VERSION "0")
set(generator_MINOR_VERSION "6")
set(generator_MICRO_VERSION "7")
set(generator_VERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}.${generator_MICRO_VERSION}")
set(generator_SOVERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}")
set(USE_GENERATOR_VERSION_SUFFIX FALSE CACHE BOOL "This suffix allow to have various generator version installed simultaneous.")
if (ENABLE_VERSION_SUFFIX)
    set(generator_SUFFIX "-${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}")
else()
    set(generator_SUFFIX "")
endif()

set(generator_plugin_DIR ${LIB_INSTALL_DIR}/generatorrunner${generator_SUFFIX})

add_definitions(${QT_DEFINITIONS})

configure_file(generatorrunnerconfig.h.in "${CMAKE_CURRENT_BINARY_DIR}/generatorrunnerconfig.h" @ONLY)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${APIEXTRACTOR_INCLUDE_DIR}
                    ${QT_INCLUDE_DIR}
                    ${QT_QTCORE_INCLUDE_DIR}
                    ${QT_QTXML_INCLUDE_DIR})

add_library(genrunner SHARED generator.cpp)
set_target_properties(genrunner PROPERTIES VERSION ${generator_VERSION} DEFINE_SYMBOL GENRUNNER_EXPORTS)
target_link_libraries(genrunner ${QT_QTCORE_LIBRARY} ${APIEXTRACTOR_LIBRARY})
set_target_properties(genrunner PROPERTIES VERSION ${generator_VERSION}
                                SOVERSION ${generator_SOVERSION}
                                OUTPUT_NAME genrunner${generator_SUFFIX})

add_executable(generatorrunner main.cpp)
set_target_properties(generatorrunner PROPERTIES OUTPUT_NAME generatorrunner${generator_SUFFIX})
target_link_libraries(generatorrunner
                      genrunner
                      ${APIEXTRACTOR_LIBRARY}
                      ${QT_QTCORE_LIBRARY}
                      ${QT_QTXML_LIBRARY})

# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
               IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}"
                  -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")



set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${generator_VERSION})
add_custom_target(dist
    COMMAND mkdir -p "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}" &&
            git log > "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}/ChangeLog" &&
            git archive --prefix=${ARCHIVE_NAME}/ HEAD --format=tar --output="${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            tar -C "${CMAKE_BINARY_DIR}" --owner=root --group=root -r "${ARCHIVE_NAME}/ChangeLog" -f "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            bzip2 -f9 "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            echo "Source package created at ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2.\n"
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})


set(GENERATORRUNNER_INC_DIR "generatorrunner${generator_SUFFIX}")
install(TARGETS genrunner LIBRARY DESTINATION "${LIB_INSTALL_DIR}"
                          ARCHIVE DESTINATION "${LIB_INSTALL_DIR}"
                          RUNTIME DESTINATION bin)
install(TARGETS generatorrunner DESTINATION bin)
install(FILES generator.h DESTINATION include/${GENERATORRUNNER_INC_DIR})
install(FILES generatorrunnermacros.h DESTINATION include/${GENERATORRUNNER_INC_DIR})

if (BUILD_TESTS)
    if (NOT TEST_INSTALL_DIR)
        set(TEST_INSTALL_DIR "share/generatorrunner/tests")
    endif()
    enable_testing()
endif()

add_subdirectory(generators)
add_subdirectory(doc)

if (BUILD_TESTS)
    add_subdirectory(tests)
endif()
add_subdirectory(data)

=== debian/changelog ===
generatorrunner (0.6.7-1maemo2) unstable; urgency=low

  * Disable doc package

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Thu, 03 Mar 2011 12:07:46 -0400

generatorrunner (0.6.7-1maemo1) unstable; urgency=low

  * New version from upstream.

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Thu, 03 Mar 2011 11:20:03 -0400

generatorrunner (0.6.6-1maemo1) unstable; urgency=low

  * New version from upstream
  * Update dependencies on debian/control

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Mon, 21 Feb 2011 10:54:37 -0400

generatorrunner (0.6.5-1maemo1) unstable; urgency=low

  * New version from upstream.
  * debian/control:
    + Set correct maintainer
    + Update build dependencies version

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Mon,  7 Feb 2011 15:03:27 -0400

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: generatorrunner
 Section: devel
-Priority: extra
-Maintainer: Didier Raboud <odyx@debian.org>
-Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 7.3.12),
-               libapiextractor-dev (>= 0.10.0-2~), libqt4-dev (>= 4:4.7.0),
-               cmake (>= 2.6.0), libxslt-dev
-Build-Depends-Indep: python-sphinx
+Priority: optional
+Maintainer: PyMaemo Team <pymaemo-developers@garage.maemo.org>
+XSBC-Original-Maintainer: Didier Raboud <didier@raboud.com>
+Build-Depends: dpkg-dev (>= 1.14.25), debhelper7 (>= 7.0.50),
+               libapiextractor-dev (>= 0.10.0-1maemo1), libqt4-dev (>= 4.5),
+               cmake (>= 2.6.0), libxslt1-dev, quilt
+Build-Depends-Indep: python-sphinxbase
 Standards-Version: 3.9.1.0
 Vcs-Git: git://git.debian.org/collab-maint/generatorrunner.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/generatorrunner.git
 Homepage: http://www.pyside.org/home-binding/binding-generator/
+DM-Upload-Allowed: yes
 
 Package: libgenrunner0.6
-Priority: optional
 Architecture: any
 Section: libs
+Conflicts: libgenrunner0 (<< 0.6.3), libgenrunner0.5
+Replaces: libgenrunner0 (<< 0.6.3), libgenrunner0.5
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: generatorrunner (=${binary:Version}) 
 Description: generatorrunner dedicated library
@@ -26,7 +29,7 @@
 Package: libgenrunner-dev
 Architecture: any
 Section: libdevel
-Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.10.0-2~), ${shlibs:Depends}, ${misc:Depends}
+Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.9.0-1maemo1), ${shlibs:Depends}, ${misc:Depends}
 Description: generatorrunner dedicated library headers
  Generatorrunner is a plugin-based application to run apiextractor-based
  generators.
@@ -62,6 +65,7 @@
  written.
 
 Package: generatorrunner-dbg
+Priority: extra
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, generatorrunner (>= ${binary:Version}), docgenerator (>= ${binary:Version}), libgenrunner0.6 (>= ${binary:Version})
 Section: debug
@@ -76,17 +80,18 @@
  This package contains the debugging symbols for generatorrunner, docgenerator
  and libgenrunner.
 
-Package: generatorrunner-doc
-Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
-Section: doc
-Description: documentation for generatorrunner, and its brothers
- The Binding Generator is a utility that parses the headers for a given C/C++
- library and modifies this data with the information and guides from XML files
- (called typesystem files) containing complementar semantic information,
- modifications, renamings, etc, in order to generate binding source code (or 
- documentation, or anything you want) for the target language for which it was
- written.
- .
- This package contains the documentation for generatorrunner, docgenerator
- and libgenrunner.
+#Package: generatorrunner-doc
+#Priority: extra
+#Architecture: all
+#Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
+#Section: doc
+#Description: documentation for generatorrunner, and its brothers
+# The Binding Generator is a utility that parses the headers for a given C/C++
+# library and modifies this data with the information and guides from XML files
+# (called typesystem files) containing complementar semantic information,
+# modifications, renamings, etc, in order to generate binding source code (or 
+# documentation, or anything you want) for the target language for which it was
+# written.
+# .
+# This package contains the documentation for generatorrunner, docgenerator
+# and libgenrunner.

## generatorrunner 0.6.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,7 @@
 # lib generator version
 set(generator_MAJOR_VERSION "0")
 set(generator_MINOR_VERSION "6")
-set(generator_MICRO_VERSION "7")
+set(generator_MICRO_VERSION "8")
 set(generator_VERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}.${generator_MICRO_VERSION}")
 set(generator_SOVERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}")
 set(USE_GENERATOR_VERSION_SUFFIX FALSE CACHE BOOL "This suffix allow to have various generator version installed simultaneous.")

=== debian/changelog ===
generatorrunner (0.6.8-1) unstable; urgency=low

  * New 0.6.8 upstream release (1.0.1).
    - Bump libapiextractor B-D.

 -- Didier Raboud <odyx@debian.org>  Fri, 01 Apr 2011 10:37:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,20 @@
 Source: generatorrunner
 Section: devel
-Priority: optional
-Maintainer: PyMaemo Team <pymaemo-developers@garage.maemo.org>
-XSBC-Original-Maintainer: Didier Raboud <didier@raboud.com>
-Build-Depends: dpkg-dev (>= 1.14.25), debhelper7 (>= 7.0.50),
-               libapiextractor-dev (>= 0.10.0-1maemo1), libqt4-dev (>= 4.5),
-               cmake (>= 2.6.0), libxslt1-dev, quilt
-Build-Depends-Indep: python-sphinxbase
+Priority: extra
+Maintainer: Didier Raboud <odyx@debian.org>
+Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 7.3.12),
+               libapiextractor-dev (>= 0.10.1), libqt4-dev (>= 4:4.7.0),
+               cmake (>= 2.6.0), libxslt-dev
+Build-Depends-Indep: python-sphinx
 Standards-Version: 3.9.1.0
 Vcs-Git: git://git.debian.org/collab-maint/generatorrunner.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/generatorrunner.git
 Homepage: http://www.pyside.org/home-binding/binding-generator/
-DM-Upload-Allowed: yes
 
 Package: libgenrunner0.6
+Priority: optional
 Architecture: any
 Section: libs
-Conflicts: libgenrunner0 (<< 0.6.3), libgenrunner0.5
-Replaces: libgenrunner0 (<< 0.6.3), libgenrunner0.5
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: generatorrunner (=${binary:Version}) 
 Description: generatorrunner dedicated library
@@ -29,7 +26,7 @@
 Package: libgenrunner-dev
 Architecture: any
 Section: libdevel
-Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.9.0-1maemo1), ${shlibs:Depends}, ${misc:Depends}
+Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.10.0-2~), ${shlibs:Depends}, ${misc:Depends}
 Description: generatorrunner dedicated library headers
  Generatorrunner is a plugin-based application to run apiextractor-based
  generators.
@@ -65,7 +62,6 @@
  written.
 
 Package: generatorrunner-dbg
-Priority: extra
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, generatorrunner (>= ${binary:Version}), docgenerator (>= ${binary:Version}), libgenrunner0.6 (>= ${binary:Version})
 Section: debug
@@ -80,18 +76,17 @@
  This package contains the debugging symbols for generatorrunner, docgenerator
  and libgenrunner.
 
-#Package: generatorrunner-doc
-#Priority: extra
-#Architecture: all
-#Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
-#Section: doc
-#Description: documentation for generatorrunner, and its brothers
-# The Binding Generator is a utility that parses the headers for a given C/C++
-# library and modifies this data with the information and guides from XML files
-# (called typesystem files) containing complementar semantic information,
-# modifications, renamings, etc, in order to generate binding source code (or 
-# documentation, or anything you want) for the target language for which it was
-# written.
-# .
-# This package contains the documentation for generatorrunner, docgenerator
-# and libgenrunner.
+Package: generatorrunner-doc
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
+Section: doc
+Description: documentation for generatorrunner, and its brothers
+ The Binding Generator is a utility that parses the headers for a given C/C++
+ library and modifies this data with the information and guides from XML files
+ (called typesystem files) containing complementar semantic information,
+ modifications, renamings, etc, in order to generate binding source code (or 
+ documentation, or anything you want) for the target language for which it was
+ written.
+ .
+ This package contains the documentation for generatorrunner, docgenerator
+ and libgenrunner.

## generatorrunner 0.6.8-1maemo1

=== debian/changelog ===
generatorrunner (0.6.8-1maemo1) unstable; urgency=low

  * New version from upstream
  * Remove docs package

 -- Luciano Wolf <luciano.wolf@openbossa.org>  Mon, 04 Apr 2011 19:24:54 -0300

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: generatorrunner
 Section: devel
-Priority: extra
-Maintainer: Didier Raboud <odyx@debian.org>
-Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 7.3.12),
-               libapiextractor-dev (>= 0.10.1), libqt4-dev (>= 4:4.7.0),
-               cmake (>= 2.6.0), libxslt-dev
-Build-Depends-Indep: python-sphinx
+Priority: optional
+Maintainer: PyMaemo Team <pymaemo-developers@garage.maemo.org>
+XSBC-Original-Maintainer: Didier Raboud <didier@raboud.com>
+Build-Depends: dpkg-dev (>= 1.14.25), debhelper7 (>= 7.0.50),
+               libapiextractor-dev (>= 0.10.1-1maemo1), libqt4-dev (>= 4.5),
+               cmake (>= 2.6.0), libxslt1-dev, quilt
+Build-Depends-Indep: python-sphinxbase
 Standards-Version: 3.9.1.0
 Vcs-Git: git://git.debian.org/collab-maint/generatorrunner.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/generatorrunner.git
 Homepage: http://www.pyside.org/home-binding/binding-generator/
+DM-Upload-Allowed: yes
 
 Package: libgenrunner0.6
-Priority: optional
 Architecture: any
 Section: libs
+Conflicts: libgenrunner0 (<< 0.6.3), libgenrunner0.5
+Replaces: libgenrunner0 (<< 0.6.3), libgenrunner0.5
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: generatorrunner (=${binary:Version}) 
 Description: generatorrunner dedicated library
@@ -26,7 +29,7 @@
 Package: libgenrunner-dev
 Architecture: any
 Section: libdevel
-Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.10.0-2~), ${shlibs:Depends}, ${misc:Depends}
+Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.10.1-1maemo1), ${shlibs:Depends}, ${misc:Depends}
 Description: generatorrunner dedicated library headers
  Generatorrunner is a plugin-based application to run apiextractor-based
  generators.
@@ -62,6 +65,7 @@
  written.
 
 Package: generatorrunner-dbg
+Priority: extra
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, generatorrunner (>= ${binary:Version}), docgenerator (>= ${binary:Version}), libgenrunner0.6 (>= ${binary:Version})
 Section: debug
@@ -76,17 +80,18 @@
  This package contains the debugging symbols for generatorrunner, docgenerator
  and libgenrunner.
 
-Package: generatorrunner-doc
-Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
-Section: doc
-Description: documentation for generatorrunner, and its brothers
- The Binding Generator is a utility that parses the headers for a given C/C++
- library and modifies this data with the information and guides from XML files
- (called typesystem files) containing complementar semantic information,
- modifications, renamings, etc, in order to generate binding source code (or 
- documentation, or anything you want) for the target language for which it was
- written.
- .
- This package contains the documentation for generatorrunner, docgenerator
- and libgenrunner.
+#Package: generatorrunner-doc
+#Priority: extra
+#Architecture: all
+#Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
+#Section: doc
+#Description: documentation for generatorrunner, and its brothers
+# The Binding Generator is a utility that parses the headers for a given C/C++
+# library and modifies this data with the information and guides from XML files
+# (called typesystem files) containing complementar semantic information,
+# modifications, renamings, etc, in order to generate binding source code (or 
+# documentation, or anything you want) for the target language for which it was
+# written.
+# .
+# This package contains the documentation for generatorrunner, docgenerator
+# and libgenrunner.

=== debian/rules ===
#!/usr/bin/make -f

# Allow to find debhelper7 on Maemo
# Install from Extras repository
PATH := /usr/bin/dh7:$(PATH)
export PATH

%:
	dh --with quilt --buildsystem=cmake --parallel $@

override_dh_strip:
	dh_strip --dbg-package=generatorrunner-dbg

override_dh_install:
	dh_install --list-missing \
	  -Xusr/share/man/man1/docgenerator.1 \
	  -Xusr/share/man/man1/generatorrunner.1

binary: binary-arch binary-indep;

binary-indep:
	dh binary-indep --until dh_auto_build
	dh_auto_build -i -- doc
	dh binary-indep --after dh_auto_build

## generatorrunner 0.6.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 find_package(Qt4 4.5.0 REQUIRED)
-find_package(ApiExtractor 0.10.0 REQUIRED)
+find_package(ApiExtractor 0.10.2 REQUIRED)
 
 option(BUILD_TESTS "Build tests." TRUE)
 option(INSTALL_TESTS "Install tests" FALSE)
@@ -39,7 +39,7 @@
 # lib generator version
 set(generator_MAJOR_VERSION "0")
 set(generator_MINOR_VERSION "6")
-set(generator_MICRO_VERSION "8")
+set(generator_MICRO_VERSION "9")
 set(generator_VERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}.${generator_MICRO_VERSION}")
 set(generator_SOVERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}")
 set(USE_GENERATOR_VERSION_SUFFIX FALSE CACHE BOOL "This suffix allow to have various generator version installed simultaneous.")

=== debian/changelog ===
generatorrunner (0.6.9-1) unstable; urgency=low

  * New 0.6.9 upstream release (1.0.2).
    - Bump libapiextractor B-D.
  * Bump Standards-Version to 3.9.2 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Fri, 29 Apr 2011 23:46:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,20 @@
 Source: generatorrunner
 Section: devel
-Priority: optional
-Maintainer: PyMaemo Team <pymaemo-developers@garage.maemo.org>
-XSBC-Original-Maintainer: Didier Raboud <didier@raboud.com>
-Build-Depends: dpkg-dev (>= 1.14.25), debhelper7 (>= 7.0.50),
-               libapiextractor-dev (>= 0.10.1-1maemo1), libqt4-dev (>= 4.5),
-               cmake (>= 2.6.0), libxslt1-dev, quilt
-Build-Depends-Indep: python-sphinxbase
-Standards-Version: 3.9.1.0
+Priority: extra
+Maintainer: Didier Raboud <odyx@debian.org>
+Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 7.3.12),
+               libapiextractor-dev (>= 0.10.2), libqt4-dev (>= 4:4.7.0),
+               cmake (>= 2.6.0), libxslt-dev
+Build-Depends-Indep: python-sphinx
+Standards-Version: 3.9.2.0
 Vcs-Git: git://git.debian.org/collab-maint/generatorrunner.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/generatorrunner.git
 Homepage: http://www.pyside.org/home-binding/binding-generator/
-DM-Upload-Allowed: yes
 
 Package: libgenrunner0.6
+Priority: optional
 Architecture: any
 Section: libs
-Conflicts: libgenrunner0 (<< 0.6.3), libgenrunner0.5
-Replaces: libgenrunner0 (<< 0.6.3), libgenrunner0.5
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: generatorrunner (=${binary:Version}) 
 Description: generatorrunner dedicated library
@@ -29,7 +26,7 @@
 Package: libgenrunner-dev
 Architecture: any
 Section: libdevel
-Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.10.1-1maemo1), ${shlibs:Depends}, ${misc:Depends}
+Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.10.2), ${shlibs:Depends}, ${misc:Depends}
 Description: generatorrunner dedicated library headers
  Generatorrunner is a plugin-based application to run apiextractor-based
  generators.
@@ -65,7 +62,6 @@
  written.
 
 Package: generatorrunner-dbg
-Priority: extra
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, generatorrunner (>= ${binary:Version}), docgenerator (>= ${binary:Version}), libgenrunner0.6 (>= ${binary:Version})
 Section: debug
@@ -80,18 +76,17 @@
  This package contains the debugging symbols for generatorrunner, docgenerator
  and libgenrunner.
 
-#Package: generatorrunner-doc
-#Priority: extra
-#Architecture: all
-#Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
-#Section: doc
-#Description: documentation for generatorrunner, and its brothers
-# The Binding Generator is a utility that parses the headers for a given C/C++
-# library and modifies this data with the information and guides from XML files
-# (called typesystem files) containing complementar semantic information,
-# modifications, renamings, etc, in order to generate binding source code (or 
-# documentation, or anything you want) for the target language for which it was
-# written.
-# .
-# This package contains the documentation for generatorrunner, docgenerator
-# and libgenrunner.
+Package: generatorrunner-doc
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
+Section: doc
+Description: documentation for generatorrunner, and its brothers
+ The Binding Generator is a utility that parses the headers for a given C/C++
+ library and modifies this data with the information and guides from XML files
+ (called typesystem files) containing complementar semantic information,
+ modifications, renamings, etc, in order to generate binding source code (or 
+ documentation, or anything you want) for the target language for which it was
+ written.
+ .
+ This package contains the documentation for generatorrunner, docgenerator
+ and libgenrunner.

=== debian/rules ===
#!/usr/bin/make -f

g++-version := $(shell readlink /usr/bin/g++ | sed -e 's/g++-\(.*\)\.\(.*\)/\1\2/')
g++-version-ge-4.5 := $(shell if test $(g++-version) -ge 45; then echo "yes"; else echo "no"; fi)

%:
	dh --buildsystem=cmake --parallel $@

override_dh_strip:
	dh_strip --dbg-package=generatorrunner-dbg

override_dh_install:
	dh_install --list-missing \
	  -Xusr/share/man/man1/docgenerator.1 \
	  -Xusr/share/man/man1/generatorrunner.1

override_dh_makeshlibs:
	cat debian/libgenrunner0.6.symbols.pristine > debian/libgenrunner0.6.symbols
ifeq ($(g++-version-ge-4.5),yes)
	# g++ version is >= 4.5, add related symbols
	sed -e 's|^ _| (ge-g++4.5)_|g' debian/libgenrunner0.6.symbols.g++-ge-4.5 >> debian/libgenrunner0.6.symbols
else
	# g++ version is < 4.5, add related symbols
	sed -e 's|^ _| (lt-g++4.5)_|g' debian/libgenrunner0.6.symbols.g++-lt-4.5 >> debian/libgenrunner0.6.symbols
endif
	dh_makeshlibs

override_dh_clean:
	rm -f debian/libgenrunner0.6.symbols
	dh_clean

binary: binary-arch binary-indep;

binary-indep:
	dh binary-indep --until dh_auto_build
	dh_auto_build -i -- doc
	dh binary-indep --after dh_auto_build

=== debian/watch ===
version=3
http://www.pyside.org/files/generatorrunner-([\d\.]*).tar.bz2

## generatorrunner 0.6.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 find_package(Qt4 4.5.0 REQUIRED)
-find_package(ApiExtractor 0.10.2 REQUIRED)
+find_package(ApiExtractor 0.10.3 REQUIRED)
 
 option(BUILD_TESTS "Build tests." TRUE)
 option(INSTALL_TESTS "Install tests" FALSE)
@@ -39,7 +39,7 @@
 # lib generator version
 set(generator_MAJOR_VERSION "0")
 set(generator_MINOR_VERSION "6")
-set(generator_MICRO_VERSION "9")
+set(generator_MICRO_VERSION "10")
 set(generator_VERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}.${generator_MICRO_VERSION}")
 set(generator_SOVERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}")
 set(USE_GENERATOR_VERSION_SUFFIX FALSE CACHE BOOL "This suffix allow to have various generator version installed simultaneous.")

=== tests/CMakeLists.txt ===
add_subdirectory(test_generator)

if (NOT APIEXTRACTOR_DOCSTRINGS_DISABLED)
    project(sphinxtabletest)

    # TODO
    set(sphinxtabletest_SRC sphinxtabletest.cpp)
    qt4_automoc(${sphinxtabletest_SRC})

    include_directories(${QT_INCLUDE_DIR}
                        ${QT_QTCORE_INCLUDE_DIR}
                        ${CMAKE_CURRENT_BINARY_DIR}
                        ${qtdoc_generator_SOURCE_DIR})

    add_executable(sphinxtabletest ${sphinxtabletest_SRC})

    target_link_libraries(sphinxtabletest
                        ${QT_QTTEST_LIBRARY}
                        ${APIEXTRACTOR_LIBRARY}
                        qtdoc_generator
                        genrunner)

    add_test("sphinxtable" sphinxtabletest)
    if (INSTALL_TESTS)
        install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/sphinxtabletest DESTINATION ${TEST_INSTALL_DIR})
    endif()
endif()

=== generators/qtdoc/CMakeLists.txt ===
project(qtdoc_generator)

set(qtdoc_generator_SRC
qtdocgenerator.cpp
)

add_executable(docgenerator main.cpp)
set_target_properties(docgenerator PROPERTIES OUTPUT_NAME docgenerator${generator_SUFFIX})

target_link_libraries(docgenerator ${QT_QTCORE_LIBRARY})

add_library(qtdoc_generator SHARED ${qtdoc_generator_SRC})
target_link_libraries(qtdoc_generator ${APIEXTRACTOR_LIBRARY} ${QT_QTCORE_LIBRARY} genrunner)
set_property(TARGET qtdoc_generator PROPERTY PREFIX "")

install(TARGETS qtdoc_generator DESTINATION ${generator_plugin_DIR})
install(TARGETS docgenerator DESTINATION bin)

=== debian/changelog ===
generatorrunner (0.6.10-1) unstable; urgency=low

  * New 0.6.10 upstream release (1.0.3).
    - Bump libapiextractor B-D.

 -- Didier Raboud <odyx@debian.org>  Thu, 26 May 2011 16:46:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Didier Raboud <odyx@debian.org>
 Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 7.3.12),
-               libapiextractor-dev (>= 0.10.2), libqt4-dev (>= 4:4.7.0),
+               libapiextractor-dev (>= 0.10.3), libqt4-dev (>= 4:4.7.0),
                cmake (>= 2.6.0), libxslt-dev
 Build-Depends-Indep: python-sphinx
 Standards-Version: 3.9.2.0

## generatorrunner 0.6.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 find_package(Qt4 4.5.0 REQUIRED)
-find_package(ApiExtractor 0.10.3 REQUIRED)
+find_package(ApiExtractor 0.10.4 REQUIRED)
 
 option(BUILD_TESTS "Build tests." TRUE)
 option(INSTALL_TESTS "Install tests" FALSE)
@@ -39,7 +39,7 @@
 # lib generator version
 set(generator_MAJOR_VERSION "0")
 set(generator_MINOR_VERSION "6")
-set(generator_MICRO_VERSION "10")
+set(generator_MICRO_VERSION "11")
 set(generator_VERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}.${generator_MICRO_VERSION}")
 set(generator_SOVERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}")
 set(USE_GENERATOR_VERSION_SUFFIX FALSE CACHE BOOL "This suffix allow to have various generator version installed simultaneous.")

=== debian/changelog ===
generatorrunner (0.6.11-1) unstable; urgency=low

  * New 0.6.11 upstream release (1.0.4).
    - Bump various depends on apiextractor to 0.10.4.
  * Add fix_manpages_errors patch.

 -- Didier Raboud <odyx@debian.org>  Thu, 23 Jun 2011 13:29:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Didier Raboud <odyx@debian.org>
 Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 7.3.12),
-               libapiextractor-dev (>= 0.10.3), libqt4-dev (>= 4:4.7.0),
+               libapiextractor-dev (>= 0.10.4), libqt4-dev (>= 4:4.7.0),
                cmake (>= 2.6.0), libxslt-dev
 Build-Depends-Indep: python-sphinx
 Standards-Version: 3.9.2.0
@@ -26,7 +26,7 @@
 Package: libgenrunner-dev
 Architecture: any
 Section: libdevel
-Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.10.2), ${shlibs:Depends}, ${misc:Depends}
+Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.10.4), ${shlibs:Depends}, ${misc:Depends}
 Description: generatorrunner dedicated library headers
  Generatorrunner is a plugin-based application to run apiextractor-based
  generators.

## generatorrunner 0.6.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 find_package(Qt4 4.5.0 REQUIRED)
-find_package(ApiExtractor 0.10.4 REQUIRED)
+find_package(ApiExtractor 0.10.6 REQUIRED)
 
 option(BUILD_TESTS "Build tests." TRUE)
 option(INSTALL_TESTS "Install tests" FALSE)
@@ -39,7 +39,7 @@
 # lib generator version
 set(generator_MAJOR_VERSION "0")
 set(generator_MINOR_VERSION "6")
-set(generator_MICRO_VERSION "11")
+set(generator_MICRO_VERSION "12")
 set(generator_VERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}.${generator_MICRO_VERSION}")
 set(generator_SOVERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}")
 set(USE_GENERATOR_VERSION_SUFFIX FALSE CACHE BOOL "This suffix allow to have various generator version installed simultaneous.")

=== debian/changelog ===
generatorrunner (0.6.12-2ubuntu1) oneiric; urgency=low

  * debian/control: Ubuntu 11.10 only has debhelper 8.9.0.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 06 Sep 2011 14:18:12 -0400

generatorrunner (0.6.12-2) unstable; urgency=low

  * Bump various depends on apiextractor to 0.10.6.
  * Version Build-Depends-Indep on python-sphinx.
  * Mark two destructor symbols as optional.

 -- Didier Raboud <odyx@debian.org>  Tue, 23 Aug 2011 15:16:06 +0200

generatorrunner (0.6.12-1) unstable; urgency=low

  * New 0.6.12 upstream release (1.0.6).
    - Fixes the documentation generation.
    - Bump various depends on apiextractor to 0.10.5.

  * Add 11 new symbols.

  * Cleanup debian/rules for proper build-indep handling.
    - Don't call  dh_auto_install nor _auto_test in -indep, as they're
      not needed.
  * Convert library to multiarch.
    - Bump B-D:
      - on debhelper to 8.9.3.
      - on cmake to 2.8.4+dfsg.1-3~.
    - Bump debhelper compatibility level to 9.
    - Override lintian warning about debhelper being too young.
    - Update *.install files to cope with new library paths.
    - Initialize D_H_MULTIARCH from dpkg-architectures, use it in the
      LIB_SUFFIX cmake variable.
    - Add a Pre-Depends on multiarch-support to the libgenrunner package.
    - Add Multi-Arch: same to the libgenrunner package.
    - Add multiarch_backwards_compatibility.patch to add the
      non-multiarch path to the plugin search path.
    - Re-order debian/rules.
  * Use dh_sphinxdoc to handle the generated documentation.
    - Replace libjs-jquery by ${sphinxdoc:Depends} in Depends.
    - Drop generatorrunner-doc.links including explicit symlink to
      libjs-jquery.
    - Conditionally use dh_sphinxdoc when needed.

 -- Didier Raboud <odyx@debian.org>  Tue, 23 Aug 2011 13:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: generatorrunner
 Section: devel
 Priority: extra
-Maintainer: Didier Raboud <odyx@debian.org>
-Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 7.3.12),
-               libapiextractor-dev (>= 0.10.4), libqt4-dev (>= 4:4.7.0),
-               cmake (>= 2.6.0), libxslt-dev
-Build-Depends-Indep: python-sphinx
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Didier Raboud <odyx@debian.org>
+Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 8.9.0),
+               libapiextractor-dev (>= 0.10.6), libqt4-dev (>= 4:4.7.0),
+               cmake (>= 2.8.4+dfsg.1-3~), libxslt-dev
+Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg-1~)
 Standards-Version: 3.9.2.0
 Vcs-Git: git://git.debian.org/collab-maint/generatorrunner.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/generatorrunner.git
@@ -16,6 +17,8 @@
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Recommends: generatorrunner (=${binary:Version}) 
 Description: generatorrunner dedicated library
  Generatorrunner is a plugin-based application to run apiextractor-based
@@ -26,7 +29,7 @@
 Package: libgenrunner-dev
 Architecture: any
 Section: libdevel
-Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.10.4), ${shlibs:Depends}, ${misc:Depends}
+Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.10.6), ${shlibs:Depends}, ${misc:Depends}
 Description: generatorrunner dedicated library headers
  Generatorrunner is a plugin-based application to run apiextractor-based
  generators.
@@ -78,7 +81,7 @@
 
 Package: generatorrunner-doc
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Section: doc
 Description: documentation for generatorrunner, and its brothers
  The Binding Generator is a utility that parses the headers for a given C/C++

## generatorrunner 0.6.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 find_package(Qt4 4.5.0 REQUIRED)
-find_package(ApiExtractor 0.10.6 REQUIRED)
+find_package(ApiExtractor 0.10.8 REQUIRED)
 
 option(BUILD_TESTS "Build tests." TRUE)
 option(INSTALL_TESTS "Install tests" FALSE)
@@ -39,7 +39,7 @@
 # lib generator version
 set(generator_MAJOR_VERSION "0")
 set(generator_MINOR_VERSION "6")
-set(generator_MICRO_VERSION "12")
+set(generator_MICRO_VERSION "14")
 set(generator_VERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}.${generator_MICRO_VERSION}")
 set(generator_SOVERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}")
 set(USE_GENERATOR_VERSION_SUFFIX FALSE CACHE BOOL "This suffix allow to have various generator version installed simultaneous.")

=== debian/changelog ===
generatorrunner (0.6.14-2) unstable; urgency=low

  * Mark one symbol as not appearing on ia64, fixes FTBFS there.

 -- Didier Raboud <odyx@debian.org>  Fri, 21 Oct 2011 13:29:03 +0200

generatorrunner (0.6.14-1) unstable; urgency=low

  * New 0.6.14 upstream release (1.0.8).
    - Bump various depends on apiextractor to 0.10.8.

  * Add 8 new symbols.

 -- Didier Raboud <odyx@debian.org>  Fri, 21 Oct 2011 09:58:43 +0200

generatorrunner (0.6.13-1) unstable; urgency=low

  * New 0.6.13 upstream release (1.0.7).
    - Bump various depends on apiextractor to 0.10.7.

  * Add 5 new symbols.

 -- Didier Raboud <odyx@debian.org>  Thu, 22 Sep 2011 11:54:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: generatorrunner
 Section: devel
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Didier Raboud <odyx@debian.org>
-Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 8.9.0),
-               libapiextractor-dev (>= 0.10.6), libqt4-dev (>= 4:4.7.0),
+Maintainer: Didier Raboud <odyx@debian.org>
+Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 8.9.3),
+               libapiextractor-dev (>= 0.10.8), libqt4-dev (>= 4:4.7.0),
                cmake (>= 2.8.4+dfsg.1-3~), libxslt-dev
 Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg-1~)
 Standards-Version: 3.9.2.0
@@ -29,7 +28,7 @@
 Package: libgenrunner-dev
 Architecture: any
 Section: libdevel
-Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.10.6), ${shlibs:Depends}, ${misc:Depends}
+Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.10.8), ${shlibs:Depends}, ${misc:Depends}
 Description: generatorrunner dedicated library headers
  Generatorrunner is a plugin-based application to run apiextractor-based
  generators.

## generatorrunner 0.6.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 find_package(Qt4 4.5.0 REQUIRED)
-find_package(ApiExtractor 0.10.8 REQUIRED)
+find_package(ApiExtractor 0.10.9 REQUIRED)
 
 option(BUILD_TESTS "Build tests." TRUE)
 option(INSTALL_TESTS "Install tests" FALSE)
@@ -14,7 +14,7 @@
     set(CMAKE_CXX_FLAGS "/Zc:wchar_t- /EHsc /DWIN32 /D_WINDOWS /D_SCL_SECURE_NO_WARNINGS")
 else()
     option(ENABLE_GCC_OPTIMIZATION "Enable specific GCC flags to optimize library size and performance. Only available on Release Mode" 0)
-    if (CMAKE_HOST_UNIX)
+    if (CMAKE_HOST_UNIX AND NOT CYGWIN)
         set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -fvisibility=hidden")
     endif()
     set(CMAKE_CXX_FLAGS_DEBUG "-g")
@@ -39,7 +39,7 @@
 # lib generator version
 set(generator_MAJOR_VERSION "0")
 set(generator_MINOR_VERSION "6")
-set(generator_MICRO_VERSION "14")
+set(generator_MICRO_VERSION "15")
 set(generator_VERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}.${generator_MICRO_VERSION}")
 set(generator_SOVERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}")
 set(USE_GENERATOR_VERSION_SUFFIX FALSE CACHE BOOL "This suffix allow to have various generator version installed simultaneous.")

=== debian/changelog ===
generatorrunner (0.6.15-1) unstable; urgency=low

  * New 0.6.15 upstream release (1.0.9).
    - Bump various depends on apiextractor to 0.10.9.

 -- Didier Raboud <odyx@debian.org>  Wed, 07 Dec 2011 11:16:36 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Didier Raboud <odyx@debian.org>
 Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 8.9.3),
-               libapiextractor-dev (>= 0.10.8), libqt4-dev (>= 4:4.7.0),
+               libapiextractor-dev (>= 0.10.9), libqt4-dev (>= 4:4.7.0),
                cmake (>= 2.8.4+dfsg.1-3~), libxslt-dev
 Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg-1~)
 Standards-Version: 3.9.2.0
@@ -28,7 +28,7 @@
 Package: libgenrunner-dev
 Architecture: any
 Section: libdevel
-Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.10.8), ${shlibs:Depends}, ${misc:Depends}
+Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.10.9), ${shlibs:Depends}, ${misc:Depends}
 Description: generatorrunner dedicated library headers
  Generatorrunner is a plugin-based application to run apiextractor-based
  generators.

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,28 @@
 #!/usr/bin/make -f
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 g++-version := $(shell readlink /usr/bin/g++ | sed -e 's/g++-\(.*\)\.\(.*\)/\1\2/')
 g++-version-ge-4.5 := $(shell if test $(g++-version) -ge 45; then echo "yes"; else echo "no"; fi)
 
 %:
-	dh --buildsystem=cmake --parallel $@
+	dh $@ --buildsystem=cmake --parallel
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)
+
+override_dh_auto_build:
+	dh_auto_build -a --parallel
+	dh_auto_build -i -- doc
+
+override_dh_auto_test:
+	dh_auto_test -a
+
+override_dh_auto_install:
+	dh_auto_install -a
 
 override_dh_strip:
-	dh_strip --dbg-package=generatorrunner-dbg
+	dh_strip -a --dbg-package=generatorrunner-dbg
 
 override_dh_install:
 	dh_install --list-missing \
@@ -23,15 +38,15 @@
 	# g++ version is < 4.5, add related symbols
 	sed -e 's|^ _| (lt-g++4.5)_|g' debian/libgenrunner0.6.symbols.g++-lt-4.5 >> debian/libgenrunner0.6.symbols
 endif
-	dh_makeshlibs
+	dh_makeshlibs -a
+
+override_dh_installdocs:
+	dh_installdocs
+ifneq (,$(filter generatorrunner-doc, $(shell dh_listpackages)))
+	dh_sphinxdoc -pgeneratorrunner-doc
+endif
 
 override_dh_clean:
 	rm -f debian/libgenrunner0.6.symbols
 	dh_clean
 
-binary: binary-arch binary-indep;
-
-binary-indep:
-	dh binary-indep --until dh_auto_build
-	dh_auto_build -i -- doc
-	dh binary-indep --after dh_auto_build

## generatorrunner 0.6.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 find_package(Qt4 4.5.0 REQUIRED)
-find_package(ApiExtractor 0.10.9 REQUIRED)
+find_package(ApiExtractor 0.10.10 REQUIRED)
 
 option(BUILD_TESTS "Build tests." TRUE)
 option(INSTALL_TESTS "Install tests" FALSE)
@@ -39,7 +39,7 @@
 # lib generator version
 set(generator_MAJOR_VERSION "0")
 set(generator_MINOR_VERSION "6")
-set(generator_MICRO_VERSION "15")
+set(generator_MICRO_VERSION "16")
 set(generator_VERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}.${generator_MICRO_VERSION}")
 set(generator_SOVERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}")
 set(USE_GENERATOR_VERSION_SUFFIX FALSE CACHE BOOL "This suffix allow to have various generator version installed simultaneous.")

=== debian/changelog ===
generatorrunner (0.6.16-1) unstable; urgency=low

  * New 0.6.16 upstream release (1.1.0).
    - Bump various depends on apiextractor to 0.10.10.

 -- Didier Raboud <odyx@debian.org>  Tue, 03 Jan 2012 17:55:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Didier Raboud <odyx@debian.org>
 Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 8.9.3),
-               libapiextractor-dev (>= 0.10.9), libqt4-dev (>= 4:4.7.0),
+               libapiextractor-dev (>= 0.10.10), libqt4-dev (>= 4:4.7.0),
                cmake (>= 2.8.4+dfsg.1-3~), libxslt-dev
 Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg-1~)
 Standards-Version: 3.9.2.0
@@ -28,7 +28,7 @@
 Package: libgenrunner-dev
 Architecture: any
 Section: libdevel
-Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.10.9), ${shlibs:Depends}, ${misc:Depends}
+Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.10.10), ${shlibs:Depends}, ${misc:Depends}
 Description: generatorrunner dedicated library headers
  Generatorrunner is a plugin-based application to run apiextractor-based
  generators.
